using UnityEditor;
using UnityEngine;
public class ConversationAssetCreator : MonoBehaviour
{
    //Definiše opciju u editoru koja će kreirati novu opciju

    [MenuItem("Assets/Create/Conversation")]
    public static void CreateAsset()
    {
        //Kreira novu instancu ScribtibleObject
        Conversation ConversationAssetCreator = ScriptableObject.CreateInstance<Conversation>();
        //Kreira .asset fajl za naš novi objekat i čuva ga
        AssetDatabase.CreateAsset(ConversationAssetCreator,"Assets/newConversation.asset");
        AssetDatabase.SaveAssets();
        //Prebacuje inspektor na naš novi objekat
        EditorUtility.FocusProjectWindow();
        Selection.activeObject = ConversationAssetCreator;
    }
}